import json
import array as arr

def JsonWriteInPython():
    """
    Write/Create JSON in python
    """
    print("\n\nLet's write/create JSON in Python \n\n")
    try:
        # Create JSON Object
        jsonData = json.loads("{}")

        jsonData["name"] = "File.mp3"
        jsonData["size"] = "File.mp3"

        # Create Array
        intArray = arr.array('d', [1, 2, 3, 4])

        # Array add in JSON Object
        jsonData["section"] = intArray.tolist()

        # create JSON Object
        updateByDataJsonObj_one = json.loads("{}")
        updateByDataJsonObj_one["name"] = "user one"
        updateByDataJsonObj_one["date"] = "10:00 21 May"
        updateByDataJsonObj_one["userrole"] = [ "add", "update", "delete"]

        # create JSON Object
        updateByDataJsonObj_two = json.loads("{}")
        updateByDataJsonObj_two["name"] = "user one"
        updateByDataJsonObj_two["date"] = "10:00 21 May"
        updateByDataJsonObj_two["userrole"] = [ "add", "delete"]

        jsonData["updateby"] = [ updateByDataJsonObj_one, updateByDataJsonObj_two]

        # create JSON Object
        metaDataJsonObj = json.loads("{}")
        metaDataJsonObj["create"] = "21 MAy"
        metaDataJsonObj["audio"]  = "acc"
        metaDataJsonObj["video"]  = "H264"

        jsonData["Metadata"] = metaDataJsonObj


        print("Output JSON : \n")
        print(json.dumps(jsonData))
        return jsonData
    except Exception as err:
        print("The err thrown while excuting the code\n", err)
        return
